//===================================================================
//  RX621 eXgvO(4) ^C}
//
//  (c)2021 SUWA TSUSHIN NETWORK.  https://www.suwatsu.com/hobby/index.htm
//===================================================================

#include "iodefine.h"    // WX^ǂݏp

#pragma interrupt init_irq14 (vect=78)    // IRQ14
#pragma interrupt init_cmt0 (vect=28)     // CMT0 CMI0
#pragma interrupt init_mtu6 (vect=142)    // MTU6 TGIA6
#pragma interrupt init_mtu11 (vect=169)   // MTU11 TGIW11


void init_irq14(void);
void init_cmt0(void);
void init_mtu6(void);
void init_mtu11(void);
void main(void);


unsigned long cmt0_cnt = 0;     // CMT0p^C}JE^
unsigned long mtu6_cnt = 0;     // MTU6pJE^obt@

void main(void)
{
	
	
	// WDT --------------------------------------------------------------------
	
	WDT.WRITE.WINB = 0x5A5F;      // WDT ݒ RSTE=1
	WDT.WRITE.WINA = 0xA5FC;      // WDT ݒ TMS=1,TME=1
	
	
	// fW^o --------------------------------------------------------------------
	
	PORT4.ICR.BIT.B6 = 1;         // P46 ̓|[gɐݒ
	PORTD.ICR.BIT.B2 = 1;         // PD2 ̓|[gɐݒ
	
	PORTA.DDR.BIT.B0 = 1;         // PA0 o̓|[gɐݒ
	PORTA.DDR.BIT.B2 = 1;         // PA2 o̓|[gɐݒ

	PORTA.DR.BIT.B0 = 0;	      //  PA0 o Lo
	PORTA.DR.BIT.B2 = 0;	      //  PA2 o Lo
	
	
	// ݓ --------------------------------------------------------------------
	
	ICU.IRQCR[14].BIT.IRQMD = 1;        // IRQoݒrbg 0b01FGbW
	ICU.IPR[0x2E].BIT.IPR = 0xE;        // ݃x 15(ō)
	ICU.IR[78].BIT.IR = 1;              // ݃Xe[^XWX^Zbg
	ICU.IER[0x9].BIT.IEN6 = 1;          // IRQ14(vect=78) ݋
	
	
	// CMT --------------------------------------------------------------------	
	
	SYSTEM.MSTPCRA.BIT.MSTPA15 = 0;     // CMTjbg0iCMT0ACMT1j 0FW[XgbvԂ̉
	
	CMT0.CMCR.BIT.CKS = 1;              // NbNI 1FPCLK/32
	CMT0.CMCR.BIT.CMIE = 1;             // 1FRyA}b`荞݁iCMInj

	ICU.IR[28].BIT.IR = 0;              // ݃Xe[^XWX^Zbg
	ICU.IPR[0x04].BIT.IPR = 0xE;        // ݃x 15(ō)
	ICU.IER[0x03].BIT.IEN4 = 1;         // CMT0(vect=28) ݋

	CMT0.CMCOR = 0xFFFF;                // RyA}b`@Zbg
	CMT0.CMCNT = 0;                     // RyA}b`JE^ Zbg
	CMT.CMSTR0.BIT.STR0 = 0;            // 0FCMT0.CMCNTJE^̃JEg~
	
	
	// MTU --------------------------------------------------------------------
	
	SYSTEM.MSTPCRA.BIT.MSTPA8 = 0;    // MTUjbg1    0FW[XgbvԂ̉	
	
	//MTU1-----
	IOPORT.PFDMTU.BIT.MTUS6 = 1;      // PD2MTIC11W-B[qƂđI
	MTU11.TCRW.BIT.TPSC = 0x3;        // ^C}vXP[I  NbNFPCLK ^64 ŃJEg
	MTU11.TIORW.BYTE = 0x13;          // GbWŃCvbgLv`
	
	MTU11.TIER.BIT.TGIE5W = 1;        // 1FTGI11W荞ݗv
	ICU.IR[169].BIT.IR = 0;           // ݃Xe[^XWX^Zbg
	ICU.IPR[0x66].BIT.IPR = 0xF;      // ݃x 15(ō)
	ICU.IER[0x15].BIT.IEN1 = 1;       // TGIW11(vect=169) ݋
	
	MTU11.TSTR.BYTE = 0x1;            // JE^X^[gWrbg@JEg
	
	
	//MTU6------
	MTUB.TSTR.BIT.CST0 = 0;           // MTU6JE^~@
	MTU6.TMDR.BIT.MD = 0;             // [hI m[}[h
	MTU6.TMDR.BIT.BFA = 0;            // TGRATGRCWX^͒ʏ퓮
	MTU6.TCR.BIT.TPSC = 0x3;          // ^C}vXP[I  NbNFPCLK ^64 ŃJEg
	MTU6.TCR.BIT.CCLR = 0x1;          // TGRÃRyA}b`^CvbgLv`TCNTNA
	MTU6.TCR.BIT.CKEG = 0x0;          // オGbWŃJEg
	MTU6.TIORH.BYTE = 0x00;           // MTIOC6A̋@\ o͋֎~
	MTU6.TIORL.BYTE = 0x00;           // MTIOC6C̋@\ o͋֎~
	
	MTU6.TIER.BIT.TGIEA = 1;          // 荞ݗviTGIAj
	ICU.IR[142].BIT.IR = 0;           // ݃Xe[^XWX^Zbg
	ICU.IPR[0x5C].BIT.IPR = 0xE;      // ݃x 15(ō)
	ICU.IER[0x11].BIT.IEN6 = 1;       // TGIA6(vect=142) ݋
	

	
	while(1){
			
		WDT.WRITE.WINA = 0x5A00;          // WDT XV
		
		// ͂PꂽƂ̏
		if((PORTD.PORT.BIT.B2 == 1) && ((CMT0.CMCNT > 0) || (cmt0_cnt > 0))){
			
			mtu6_cnt = cmt0_cnt / 2;      // 1/2
			MTU6.TGRA = CMT0.CMCNT/ 2;    // 1/2

			if((cmt0_cnt > 0)&&(cmt0_cnt % 2 != 0)){  // 0.5̏
				
				if(MTU6.TGRA <= 0x7FFF){
					MTU6.TGRA = MTU6.TGRA + 0x7FFF;
				}else{
					mtu6_cnt++;
					MTU6.TGRA = MTU6.TGRA - 0x7FFF;
				};
			};	
			
			cmt0_cnt = 0;      // ꂽԃJE^ Zbg
			CMT0.CMCNT = 0;    // ꂽԃJE^ Zbg
			
			PORTA.DR.BIT.B0 = 1;         // ó@LED1 ON
			
			MTU6.TCNT = 0;
			MTUB.TSTR.BIT.CST0 = 1;      // MTU6 ^C} X^[g

		};

	};
	
}


// ͂Q 荞ݏ@IRQ14
void init_irq14(void){
	
	PORTA.DR.BIT.B2 = ~PORTA.DR.BIT.B2;   // ó@LED2 ON/OFF ]
	
}


// o͂P MTU6 荞ݏ
// LED1 ON JEg
void init_mtu6(void){
	
	if(mtu6_cnt > 0){
		mtu6_cnt--;                 // JEg@fNg
		MTU6.TGRA = 0xFFFE;         // ^C}RyA őɃZbg
		
	}else{
		MTUB.TSTR.BIT.CST0 = 0;     // MTU6JE^X^[g@JEg
		PORTA.DR.BIT.B0 = 0;        // ó@LED1 OFF
	};    
	
}


// ͂P MTU11 荞ݏ
// {^̏ԑJڏ
void init_mtu11(void){
	
	if(PORTD.PORT.BIT.B2 == 0){    // ꂽ
	
		cmt0_cnt = 0;                    // JE^@Zbg
		CMT0.CMCNT = 0;                  // RyA}b`JE^ Zbg
		CMT.CMSTR0.BIT.STR0 = 1;         // 1FCMT0.CMCNTJE^̃JEgJn
		
		if(MTUB.TSTR.BIT.CST0 == 1){     // MTU6 ^C}쒆̏ꍇ
			MTUB.TSTR.BIT.CST0 = 0;  // MTU6 ^C} X^[g
			PORTA.DR.BIT.B0 = 0;     // ó@LED1 OFF
		};
	
	}else{    // ꂽ
		
		CMT.CMSTR0.BIT.STR0 = 0;         // 1FCMT0.CMCNTJE^̃JEg~	
		
	};
	
}


// ͂P CMT0 I[o[t[荞 
// ĂԂ̏
void init_cmt0(void){

	cmt0_cnt++;     // JE^@CNg
		
};
